This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 428467 - gnome-panel ends up with "multiple segmentation faults"
gnome-panel ends up with "multiple segmentation faults"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 15:25 EST by Michal Jaegermann
Modified: 2009-07-14 12:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-01-11 15:25:31 EST
Description of problem:

After an update to xorg-x11-server-Xorg-1.4.99.1-0.15.20080107.fc9 and
xorg-x11-drv-ati-6.7.196-6.fc9 an attempt to logout from a desktop
session has the following effects (from ~/.xsession-errors):

The program 'gnome-panel' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadName (named color or font does not exist)'.
  (Details: serial 8972 error_code 15 request_code 45 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

** ERROR **: file poa.c: line 1022 (ORBit_POA_activate_object_T): assertion
failed: ((poa->life_flags & ORBit_LifeF_DeactivateDo) == 0)
aborting...
Locking assertion failure.  Backtrace:
#0 /usr/lib64/libxcb-xlib.so.0 [0x3a1f80096c]
#1 /usr/lib64/libxcb-xlib.so.0(xcb_xlib_lock+0x15) [0x3a1f800a05]
#2 /usr/lib64/libX11.so.6 [0x3a1e84a1d3]
#3 /usr/lib64/libX11.so.6(XUngrabPointer+0x1a) [0x3a1e8410da]
#4 /usr/lib64/libgdk-x11-2.0.so.0(gdk_display_pointer_ungrab+0xae) [0x2aaaab18b216]
#5 /usr/lib64/libgdk-x11-2.0.so.0(gdk_pointer_ungrab+0x1b) [0x2aaaab160bed]
#6 /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so [0x2aaab16e7209]
#7 /lib64/libpthread.so.0 [0x3a1e40e8c0]
#8 /lib64/libglib-2.0.so.0(g_logv+0x29d) [0x2aaaac0efd5d]
#9 /lib64/libglib-2.0.so.0(g_log+0x83) [0x2aaaac0eff13]
#10 /lib64/libglib-2.0.so.0(g_assert_warning+0x76) [0x2aaaac0eff96]
#11 /usr/lib64/libORBit-2.so.0 [0x3a2e03c076]
#12 /usr/lib64/libORBit-2.so.0(PortableServer_POA_servant_to_reference+0x21b)
[0x3a2e03d4ab]
#13 /usr/lib64/libbonobo-2.so.0 [0x3a310322d7]
#14 /lib64/libgobject-2.0.so.0(g_object_newv+0x235) [0x2aaaabe80455]
#15 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x22c) [0x2aaaabe80ecc]
#16 /lib64/libgobject-2.0.so.0(g_object_new+0xa1) [0x2aaaabe81101]
#17 /usr/lib64/libspi.so.0(spi_accessible_construct+0x8c) [0x3a2243b14c]
#18 /usr/lib64/gtk-2.0/modules/libatk-bridge.so [0x2aaab1b43a1d]
#19 /usr/lib64/gtk-2.0/modules/libatk-bridge.so [0x2aaab1b44895]
gnome-panel: xcb_xlib.c:73: xcb_xlib_lock: Assertion `!c->xlib.lock' failed.
Multiple segmentation faults occurred; can't display error dialog

Version-Release number of selected component (if applicable):
gnome-panel-2.20.2-2.fc9
xorg-x11-server-Xorg-1.4.99.1-0.15.20080107.fc9
xorg-x11-drv-ati-6.7.196-6.fc9

How reproducible:
always

Additional info:
See also bug 428466
Comment 1 Michal Jaegermann 2008-01-13 11:36:17 EST
> gnome-panel: xcb_xlib.c:73: xcb_xlib_lock: Assertion `!c->xlib.lock' failed.

This reminds me of something.  See bug 390261.  OTOH 
'BadName (named color or font does not exist)' appears to be
something else snd showed up only after X server updates.
Comment 2 Michal Jaegermann 2008-01-14 14:39:04 EST
Regardless of `!c->xlib.lock' issues that could be a side-effect
of bug 375131 which after recent xorg-x11-server-Xorg updates
seems to be much more pervasive.  In particular see comment #24
in that bug. "... or font does not exist" because xfs already died.
Comment 3 Bug Zapper 2008-05-14 00:45:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:22:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:16:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.